commit: 10df2a90238e0de37f1a7255d46cf0e0ff6b05b9
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 21 06:12:52 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Wed Oct 21 13:40:24 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=10df2a90
dev-python/pymongo: Add python3.5 support and correct usage of
distutils-r1.eclass
* Add missing die
* Add missing PYTHON_USEDEP
* Only use python_test()
Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
dev-python/pymongo/pymongo-2.9.ebuild | 17 +++++------------
1 file changed, 5 insertions(+), 12 deletions(-)
diff --git a/dev-python/pymongo/pymongo-2.9.ebuild
b/dev-python/pymongo/pymongo-2.9.ebuild
index 9dd9181..e5c8c39 100644
--- a/dev-python/pymongo/pymongo-2.9.ebuild
+++ b/dev-python/pymongo/pymongo-2.9.ebuild
@@ -4,7 +4,7 @@
EAPI=5
-PYTHON_COMPAT=( python{2_7,3_4} pypy )
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy )
inherit check-reqs distutils-r1
@@ -18,7 +18,7 @@ KEYWORDS="~amd64 ~hppa ~x86"
IUSE="doc kerberos test"
RDEPEND="
- kerberos? ( dev-python/pykerberos )
+ kerberos? ( dev-python/pykerberos[${PYTHON_USEDEP}] )
"
DEPEND="
${RDEPEND}
@@ -55,20 +55,13 @@ python_compile_all() {
fi
}
-src_test() {
+python_test() {
# Yes, we need TCP/IP for that...
local DB_IP=127.0.0.1
local DB_PORT=27000
export DB_IP DB_PORT
- # 1.5G of disk space per run.
- local DISTUTILS_NO_PARALLEL_BUILD=1
-
- distutils-r1_src_test
-}
-
-python_test() {
local dbpath=${TMPDIR}/mongo.db
local logpath=${TMPDIR}/mongod.log
@@ -114,11 +107,11 @@ python_test() {
fi
DB_PORT2=$(( DB_PORT + 1 )) DB_PORT3=$(( DB_PORT + 2 )) esetup.py test
|| failed=1
- mongod --dbpath "${dbpath}" --shutdown
+ mongod --dbpath "${dbpath}" --shutdown || die
[[ ${failed} ]] && die "Tests fail with ${EPYTHON}"
- rm -rf "${dbpath}"
+ rm -rf "${dbpath}" || die
}
python_install_all() {